AU Visa
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/visa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_of_issue": "",
"dob": "",
"family_name": "",
"given_name": "",
"passport_number": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/visa"
payload = {
"country_of_issue": "",
"dob": "",
"family_name": "",
"given_name": "",
"passport_number": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_of_issue: '',
dob: '',
family_name: '',
given_name: '',
passport_number: '',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/visa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Australia Visa processed successfully",
"data": {
"isValid": true
},
"verificationStatus": "REJECTED",
"verificationStatusCode": 1,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "australia_visa",
"metadata": null
}Australia
Visa
Validate Australian visa credentials against official immigration records.
POST
/
api
/
v3
/
verifications
/
australia
/
visa
AU Visa
Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
Country where visa was issued for verification.
Date of birth of individual in YYYY-MM-DD format.
Family name (surname) of the individual.
Given name of the individual to be verified.
Number on the passport for verification.
Identifier used to categorize or group requests for tracking or reporting.
A unique ID used to identify your verification request.
Response
200 - application/json
AU visa verification processed successfully
⌘I

